# swagger
Interactive Steem API lets you interact with Steem Blockchain and make a request, get output and start implementing new apps! APIs have default parameters set to get you started and see how request works. API list is compiled from [Steem Github](https://github.com/steemit/steem) [1](https://github.com/steemit/steem/tree/master/libraries/app/include/steemit/app/api.hpp) and [2](https://github.com/steemit/steem/tree/master/libraries/app/include/steemit/app/database_api.hpp). If you want to contribute documenting detail of properties and output, contact [@good-karma](https://steemit.chat/direct/good-karma). You can also check full list here [Steem.js](https://steemjs.com)

This Dart package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Build package: io.swagger.codegen.languages.DartClientCodegen

## Requirements

Dart 1.20.0 and later

## Installation & Usage

### Github
If this Dart package is published to Github, please include the following in pubspec.yaml
```
name: swagger
version: 1.0.0
description: Swagger API client
dependencies:
  swagger:
    git: https://github.com/GIT_USER_ID/GIT_REPO_ID.git
      version: 'any'
```

### Local
To use the package in your local drive, please include the following in pubspec.yaml
```
dependencies:
  swagger:
    path: /path/to/swagger
```

## Tests

TODO

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```dart
import 'package:swagger/api.dart';


var api_instance = new AccountApi();
var account = account_example; // String | account name.
var bandwidthType = bandwidthType_example; // String | bandwidthType.

try {
    var result = api_instance.getAccountBandwidthGet(account, bandwidthType);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountBandwidthGet: $e\n");
}

```

## Documentation for API Endpoints

All URIs are relative to *https://api.steemjs.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*AccountApi* | [**getAccountBandwidthGet**](docs//AccountApi.md#getaccountbandwidthget) | **GET** /get_account_bandwidth | get_account_bandwidth
*AccountApi* | [**getAccountHistoryGet**](docs//AccountApi.md#getaccounthistoryget) | **GET** /get_account_history | Account history
*AccountApi* | [**getAccountVotesGet**](docs//AccountApi.md#getaccountvotesget) | **GET** /get_account_votes | get_account_votes
*AccountApi* | [**getAccountsGet**](docs//AccountApi.md#getaccountsget) | **GET** /get_accounts | Account
*AccountApi* | [**getConversionRequestsGet**](docs//AccountApi.md#getconversionrequestsget) | **GET** /get_conversion_requests | get conversation
*AccountApi* | [**getEscrowGet**](docs//AccountApi.md#getescrowget) | **GET** /get_escrow | get_escrow
*AccountApi* | [**getFollowCountGet**](docs//AccountApi.md#getfollowcountget) | **GET** /get_follow_count | get_follow_count
*AccountApi* | [**getFollowersGet**](docs//AccountApi.md#getfollowersget) | **GET** /get_followers | get_followers
*AccountApi* | [**getFollowingGet**](docs//AccountApi.md#getfollowingget) | **GET** /get_following | get_following
*AccountApi* | [**getRecoveryRequestGet**](docs//AccountApi.md#getrecoveryrequestget) | **GET** /get_recovery_request | get_recovery_request
*AccountApi* | [**getSavingsWithdrawFromGet**](docs//AccountApi.md#getsavingswithdrawfromget) | **GET** /get_savings_withdraw_from | get_savings_withdraw_from
*AccountApi* | [**getSavingsWithdrawToGet**](docs//AccountApi.md#getsavingswithdrawtoget) | **GET** /get_savings_withdraw_to | get_savings_withdraw_to
*AccountApi* | [**getStateGet**](docs//AccountApi.md#getstateget) | **GET** /get_state | get_state
*AccountApi* | [**getWithdrawRoutesGet**](docs//AccountApi.md#getwithdrawroutesget) | **GET** /get_withdraw_routes | get_withdraw_routes
*AccountApi* | [**lookupAccountNamesGet**](docs//AccountApi.md#lookupaccountnamesget) | **GET** /lookup_account_names | lookup_account_names
*AccountApi* | [**lookupAccountsGet**](docs//AccountApi.md#lookupaccountsget) | **GET** /lookup_accounts | lookup_accounts
*ChainApi* | [**getAccountCountGet**](docs//ChainApi.md#getaccountcountget) | **GET** /get_account_count | number of accounts
*ChainApi* | [**getChainPropertiesGet**](docs//ChainApi.md#getchainpropertiesget) | **GET** /get_chain_properties | get chain properties
*ChainApi* | [**getConfigGet**](docs//ChainApi.md#getconfigget) | **GET** /get_config | get config
*ChainApi* | [**getCurrentMedianHistoryPriceGet**](docs//ChainApi.md#getcurrentmedianhistorypriceget) | **GET** /get_current_median_history_price | get_current_median_history_price
*ChainApi* | [**getDynamicGlobalPropertiesGet**](docs//ChainApi.md#getdynamicglobalpropertiesget) | **GET** /get_dynamic_global_properties | get_dynamic_global_properties
*ChainApi* | [**getFeedHistoryGet**](docs//ChainApi.md#getfeedhistoryget) | **GET** /get_feed_history | get_feed_history
*ChainApi* | [**getHardforkVersionGet**](docs//ChainApi.md#gethardforkversionget) | **GET** /get_hardfork_version | get_hardfork_version
*ChainApi* | [**getNextScheduledHardforkGet**](docs//ChainApi.md#getnextscheduledhardforkget) | **GET** /get_next_scheduled_hardfork | get_next_scheduled_hardfork
*ChainApi* | [**getVersionGet**](docs//ChainApi.md#getversionget) | **GET** /get_version | get version of Steem
*MarketApi* | [**getLiquidityQueueGet**](docs//MarketApi.md#getliquidityqueueget) | **GET** /get_liquidity_queue | get_liquidity_queue
*MarketApi* | [**getOpenOrdersGet**](docs//MarketApi.md#getopenordersget) | **GET** /get_open_orders | get_open_orders
*MarketApi* | [**getOrderBookGet**](docs//MarketApi.md#getorderbookget) | **GET** /get_order_book | get_order_book
*MarketApi* | [**getOwnerHistoryGet**](docs//MarketApi.md#getownerhistoryget) | **GET** /get_owner_history | get_owner_history
*NetworkApi* | [**broadcastBlockGet**](docs//NetworkApi.md#broadcastblockget) | **GET** /broadcast_block | broadcast_block
*NetworkApi* | [**broadcastTransactionGet**](docs//NetworkApi.md#broadcasttransactionget) | **GET** /broadcast_transaction | broadcast_transaction
*NetworkApi* | [**broadcastTransactionSynchronousGet**](docs//NetworkApi.md#broadcasttransactionsynchronousget) | **GET** /broadcast_transaction_synchronous | broadcast_transaction_synchronous
*NetworkApi* | [**broadcastTransactionWithCallbackGet**](docs//NetworkApi.md#broadcasttransactionwithcallbackget) | **GET** /broadcast_transaction_with_callback | WARNING: can only be used in Steem node or in scripts broadcast_transaction_with_callback 
*NetworkApi* | [**cancelAllSubscriptionsGet**](docs//NetworkApi.md#cancelallsubscriptionsget) | **GET** /cancel_all_subscriptions | WARNING: can only be used in Steem node or in scripts cancel_all_subscriptions 
*NetworkApi* | [**getApiByNameGet**](docs//NetworkApi.md#getapibynameget) | **GET** /get_api_by_name | get_api_by_name
*NetworkApi* | [**getBlockGet**](docs//NetworkApi.md#getblockget) | **GET** /get_block | get block
*NetworkApi* | [**getBlockHeaderGet**](docs//NetworkApi.md#getblockheaderget) | **GET** /get_block_header | get block header
*NetworkApi* | [**getKeyReferencesGet**](docs//NetworkApi.md#getkeyreferencesget) | **GET** /get_key_references | get_key_references
*NetworkApi* | [**getOpsInBlockGet**](docs//NetworkApi.md#getopsinblockget) | **GET** /get_ops_in_block | get_ops_in_block
*NetworkApi* | [**getPotentialSignaturesGet**](docs//NetworkApi.md#getpotentialsignaturesget) | **GET** /get_potential_signatures | get_potential_signatures
*NetworkApi* | [**getRequiredSignaturesGet**](docs//NetworkApi.md#getrequiredsignaturesget) | **GET** /get_required_signatures | get_required_signatures
*NetworkApi* | [**getTransactionGet**](docs//NetworkApi.md#gettransactionget) | **GET** /get_transaction | get_transaction
*NetworkApi* | [**getTransactionHexGet**](docs//NetworkApi.md#gettransactionhexget) | **GET** /get_transaction_hex | get_transaction_hex
*NetworkApi* | [**setBlockAppliedCallbackGet**](docs//NetworkApi.md#setblockappliedcallbackget) | **GET** /set_block_applied_callback | WARNING: can only be used in Steem node or in scripts set_block_applied_callback 
*NetworkApi* | [**setMaxBlockAgeGet**](docs//NetworkApi.md#setmaxblockageget) | **GET** /set_max_block_age | WARNING: can only be used in Steem node or in scripts set_max_block_age 
*NetworkApi* | [**setPendingTransactionCallbackGet**](docs//NetworkApi.md#setpendingtransactioncallbackget) | **GET** /set_pending_transaction_callback | WARNING: can only be used in Steem node or in scripts set_pending_transaction_callback 
*NetworkApi* | [**setSubscribeCallbackGet**](docs//NetworkApi.md#setsubscribecallbackget) | **GET** /set_subscribe_callback | WARNING: can only be used in Steem node or in scripts set_subscribe_callback 
*NetworkApi* | [**verifyAccountAuthorityGet**](docs//NetworkApi.md#verifyaccountauthorityget) | **GET** /verify_account_authority | verify_account_authority
*NetworkApi* | [**verifyAuthorityGet**](docs//NetworkApi.md#verifyauthorityget) | **GET** /verify_authority | verify_authority
*PostApi* | [**getActiveVotesGet**](docs//PostApi.md#getactivevotesget) | **GET** /get_active_votes | get_active_votes
*PostApi* | [**getContentGet**](docs//PostApi.md#getcontentget) | **GET** /get_content | get content
*PostApi* | [**getContentRepliesGet**](docs//PostApi.md#getcontentrepliesget) | **GET** /get_content_replies | get content replies
*PostApi* | [**getDiscussionsByActiveGet**](docs//PostApi.md#getdiscussionsbyactiveget) | **GET** /get_discussions_by_active | get discussions
*PostApi* | [**getDiscussionsByAuthorBeforeDateGet**](docs//PostApi.md#getdiscussionsbyauthorbeforedateget) | **GET** /get_discussions_by_author_before_date | get_discussions_by_author_before_date
*PostApi* | [**getDiscussionsByBlogGet**](docs//PostApi.md#getdiscussionsbyblogget) | **GET** /get_discussions_by_blog | get discussions
*PostApi* | [**getDiscussionsByCashoutGet**](docs//PostApi.md#getdiscussionsbycashoutget) | **GET** /get_discussions_by_cashout | get discussions
*PostApi* | [**getDiscussionsByChildrenGet**](docs//PostApi.md#getdiscussionsbychildrenget) | **GET** /get_discussions_by_children | get discussions
*PostApi* | [**getDiscussionsByCommentsGet**](docs//PostApi.md#getdiscussionsbycommentsget) | **GET** /get_discussions_by_comments | get discussions
*PostApi* | [**getDiscussionsByCreatedGet**](docs//PostApi.md#getdiscussionsbycreatedget) | **GET** /get_discussions_by_created | get discussions
*PostApi* | [**getDiscussionsByFeedGet**](docs//PostApi.md#getdiscussionsbyfeedget) | **GET** /get_discussions_by_feed | get discussions
*PostApi* | [**getDiscussionsByHotGet**](docs//PostApi.md#getdiscussionsbyhotget) | **GET** /get_discussions_by_hot | get discussions
*PostApi* | [**getDiscussionsByPayoutGet**](docs//PostApi.md#getdiscussionsbypayoutget) | **GET** /get_discussions_by_payout | get discussions
*PostApi* | [**getDiscussionsByPromotedGet**](docs//PostApi.md#getdiscussionsbypromotedget) | **GET** /get_discussions_by_promoted | get discussions
*PostApi* | [**getDiscussionsByTrending30Get**](docs//PostApi.md#getdiscussionsbytrending30get) | **GET** /get_discussions_by_trending30 | get discussions
*PostApi* | [**getDiscussionsByTrendingGet**](docs//PostApi.md#getdiscussionsbytrendingget) | **GET** /get_discussions_by_trending | get discussions
*PostApi* | [**getDiscussionsByVotesGet**](docs//PostApi.md#getdiscussionsbyvotesget) | **GET** /get_discussions_by_votes | get discussions
*PostApi* | [**getRepliesByLastUpdateGet**](docs//PostApi.md#getrepliesbylastupdateget) | **GET** /get_replies_by_last_update | get_replies_by_last_update
*PostApi* | [**getStateGet**](docs//PostApi.md#getstateget) | **GET** /get_state | get_state
*TagsApi* | [**getActiveCategoriesGet**](docs//TagsApi.md#getactivecategoriesget) | **GET** /get_active_categories | get active categories
*TagsApi* | [**getBestCategoriesGet**](docs//TagsApi.md#getbestcategoriesget) | **GET** /get_best_categories | get best categories
*TagsApi* | [**getRecentCategoriesGet**](docs//TagsApi.md#getrecentcategoriesget) | **GET** /get_recent_categories | get recent categories
*TagsApi* | [**getTrendingCategoriesGet**](docs//TagsApi.md#gettrendingcategoriesget) | **GET** /get_trending_categories | get trending categories
*TagsApi* | [**getTrendingTagsGet**](docs//TagsApi.md#gettrendingtagsget) | **GET** /get_trending_tags | get trending categories
*WitnessApi* | [**getActiveWitnessesGet**](docs//WitnessApi.md#getactivewitnessesget) | **GET** /get_active_witnesses | get_active_witnesses
*WitnessApi* | [**getMinerQueueGet**](docs//WitnessApi.md#getminerqueueget) | **GET** /get_miner_queue | get_miner_queue
*WitnessApi* | [**getWitnessByAccountGet**](docs//WitnessApi.md#getwitnessbyaccountget) | **GET** /get_witness_by_account | get_witness_by_account
*WitnessApi* | [**getWitnessCountGet**](docs//WitnessApi.md#getwitnesscountget) | **GET** /get_witness_count | get_witness_count
*WitnessApi* | [**getWitnessScheduleGet**](docs//WitnessApi.md#getwitnessscheduleget) | **GET** /get_witness_schedule | get_witness_schedule
*WitnessApi* | [**getWitnessesByVoteGet**](docs//WitnessApi.md#getwitnessesbyvoteget) | **GET** /get_witnesses_by_vote | get_witnesses_by_vote
*WitnessApi* | [**getWitnessesGet**](docs//WitnessApi.md#getwitnessesget) | **GET** /get_witnesses | get_witnesses
*WitnessApi* | [**lookupWitnessAccountsGet**](docs//WitnessApi.md#lookupwitnessaccountsget) | **GET** /lookup_witness_accounts | lookup_witness_accounts


## Documentation For Models

 - [Accounts](docs//Accounts.md)
 - [Error](docs//Error.md)
 - [GetAccountCount](docs//GetAccountCount.md)
 - [GetVersion](docs//GetVersion.md)
 - [_](docs//_.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author




