part of swagger.api;



class MarketApi {
  final ApiClient apiClient;

  MarketApi([ApiClient apiClient]) : apiClient = apiClient ?? defaultApiClient;

  /// get_liquidity_queue
  ///
  /// get_liquidity_queue 
  Future<List<_>> getLiquidityQueueGet(String startAccount, int limit) async {
    Object postBody = null;

    // verify required params are set
    if(startAccount == null) {
     throw new ApiException(400, "Missing required param: startAccount");
    }
    if(limit == null) {
     throw new ApiException(400, "Missing required param: limit");
    }

    // create path and map variables
    String path = "/get_liquidity_queue".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "startAccount", startAccount));
      queryParams.addAll(_convertParametersForCollectionFormat("", "limit", limit));
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return apiClient.deserialize(response.body, 'List<_>') as List<_> ;
    } else {
      return null;
    }
  }
  /// get_open_orders
  ///
  /// get_open_orders 
  Future<List<_>> getOpenOrdersGet(String owner) async {
    Object postBody = null;

    // verify required params are set
    if(owner == null) {
     throw new ApiException(400, "Missing required param: owner");
    }

    // create path and map variables
    String path = "/get_open_orders".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "owner", owner));
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return apiClient.deserialize(response.body, 'List<_>') as List<_> ;
    } else {
      return null;
    }
  }
  /// get_order_book
  ///
  /// get_order_book 
  Future<List<_>> getOrderBookGet(int limit) async {
    Object postBody = null;

    // verify required params are set
    if(limit == null) {
     throw new ApiException(400, "Missing required param: limit");
    }

    // create path and map variables
    String path = "/get_order_book".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "limit", limit));
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return apiClient.deserialize(response.body, 'List<_>') as List<_> ;
    } else {
      return null;
    }
  }
  /// get_owner_history
  ///
  /// get_owner_history 
  Future<List<_>> getOwnerHistoryGet(String account) async {
    Object postBody = null;

    // verify required params are set
    if(account == null) {
     throw new ApiException(400, "Missing required param: account");
    }

    // create path and map variables
    String path = "/get_owner_history".replaceAll("{format}","json");

    // query params
    List<QueryParam> queryParams = [];
    Map<String, String> headerParams = {};
    Map<String, String> formParams = {};
      queryParams.addAll(_convertParametersForCollectionFormat("", "account", account));
    
    List<String> contentTypes = ["application/json"];

    String contentType = contentTypes.length > 0 ? contentTypes[0] : "application/json";
    List<String> authNames = [];

    if(contentType.startsWith("multipart/form-data")) {
      bool hasFields = false;
      MultipartRequest mp = new MultipartRequest(null, null);
      
      if(hasFields)
        postBody = mp;
    }
    else {
          }

    var response = await apiClient.invokeAPI(path,
                                             'GET',
                                             queryParams,
                                             postBody,
                                             headerParams,
                                             formParams,
                                             contentType,
                                             authNames);

    if(response.statusCode >= 400) {
      throw new ApiException(response.statusCode, response.body);
    } else if(response.body != null) {
      return apiClient.deserialize(response.body, 'List<_>') as List<_> ;
    } else {
      return null;
    }
  }
}
