# swagger.api.AccountApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getAccountBandwidthGet**](AccountApi.md#getAccountBandwidthGet) | **GET** /get_account_bandwidth | get_account_bandwidth
[**getAccountHistoryGet**](AccountApi.md#getAccountHistoryGet) | **GET** /get_account_history | Account history
[**getAccountVotesGet**](AccountApi.md#getAccountVotesGet) | **GET** /get_account_votes | get_account_votes
[**getAccountsGet**](AccountApi.md#getAccountsGet) | **GET** /get_accounts | Account
[**getConversionRequestsGet**](AccountApi.md#getConversionRequestsGet) | **GET** /get_conversion_requests | get conversation
[**getEscrowGet**](AccountApi.md#getEscrowGet) | **GET** /get_escrow | get_escrow
[**getFollowCountGet**](AccountApi.md#getFollowCountGet) | **GET** /get_follow_count | get_follow_count
[**getFollowersGet**](AccountApi.md#getFollowersGet) | **GET** /get_followers | get_followers
[**getFollowingGet**](AccountApi.md#getFollowingGet) | **GET** /get_following | get_following
[**getRecoveryRequestGet**](AccountApi.md#getRecoveryRequestGet) | **GET** /get_recovery_request | get_recovery_request
[**getSavingsWithdrawFromGet**](AccountApi.md#getSavingsWithdrawFromGet) | **GET** /get_savings_withdraw_from | get_savings_withdraw_from
[**getSavingsWithdrawToGet**](AccountApi.md#getSavingsWithdrawToGet) | **GET** /get_savings_withdraw_to | get_savings_withdraw_to
[**getStateGet**](AccountApi.md#getStateGet) | **GET** /get_state | get_state
[**getWithdrawRoutesGet**](AccountApi.md#getWithdrawRoutesGet) | **GET** /get_withdraw_routes | get_withdraw_routes
[**lookupAccountNamesGet**](AccountApi.md#lookupAccountNamesGet) | **GET** /lookup_account_names | lookup_account_names
[**lookupAccountsGet**](AccountApi.md#lookupAccountsGet) | **GET** /lookup_accounts | lookup_accounts


# **getAccountBandwidthGet**
> List<_> getAccountBandwidthGet(account, bandwidthType)

get_account_bandwidth

get_account_bandwidth 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.
var bandwidthType = bandwidthType_example; // String | bandwidthType.

try { 
    var result = api_instance.getAccountBandwidthGet(account, bandwidthType);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountBandwidthGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to good-karma]
 **bandwidthType** | **String**| bandwidthType. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountHistoryGet**
> num getAccountHistoryGet(account, from, limit)

Account history

Account history 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | name of account
var from = 3.4; // num | from
var limit = 3.4; // num | limit

try { 
    var result = api_instance.getAccountHistoryGet(account, from, limit);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountHistoryGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| name of account | [default to good-karma]
 **from** | **num**| from | [optional] [default to 10]
 **limit** | **num**| limit | [optional] [default to 10]

### Return type

**num**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountVotesGet**
> List<_> getAccountVotesGet(voter)

get_account_votes

get_account_votes 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var voter = voter_example; // String | account name.

try { 
    var result = api_instance.getAccountVotesGet(voter);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountVotesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **voter** | **String**| account name. | [default to smooth]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getAccountsGet**
> List<_> getAccountsGet(names[])

Account

Get Accounts from Steem 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var names[] = names[]_example; // String | name of account

try { 
    var result = api_instance.getAccountsGet(names[]);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getAccountsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **names[]** | **String**| name of account | [default to [&quot;good-karma&quot;, &quot;fabien&quot;]]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getConversionRequestsGet**
> List<_> getConversionRequestsGet(accountName)

get conversation

get conversation requests of account 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var accountName = accountName_example; // String | account name.

try { 
    var result = api_instance.getConversionRequestsGet(accountName);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getConversionRequestsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountName** | **String**| account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getEscrowGet**
> List<_> getEscrowGet(from, escrowId)

get_escrow

get_escrow 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var from = from_example; // String | account name.
var escrowId = 56; // int | id.

try { 
    var result = api_instance.getEscrowGet(from, escrowId);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getEscrowGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**| account name. | [default to good-karma]
 **escrowId** | **int**| id. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getFollowCountGet**
> List<_> getFollowCountGet(account)

get_follow_count

get_follow_count 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.

try { 
    var result = api_instance.getFollowCountGet(account);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getFollowCountGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getFollowersGet**
> List<_> getFollowersGet(following, startFollower, followType, limit)

get_followers

get_followers 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var following = following_example; // String | account name.
var startFollower = startFollower_example; // String | account name from followers for pagination.
var followType = followType_example; // String | follow type blog, etc.
var limit = 3.4; // num | size of array for pagination.

try { 
    var result = api_instance.getFollowersGet(following, startFollower, followType, limit);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getFollowersGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **following** | **String**| account name. | [default to good-karma]
 **startFollower** | **String**| account name from followers for pagination. | [default to fabien]
 **followType** | **String**| follow type blog, etc. | [default to blog]
 **limit** | **num**| size of array for pagination. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getFollowingGet**
> List<_> getFollowingGet(follower, startFollowing, followType, limit)

get_following

get_following 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var follower = follower_example; // String | account name.
var startFollowing = startFollowing_example; // String | account name from followings for pagination.
var followType = followType_example; // String | follow type blog, etc.
var limit = 3.4; // num | size of array for pagination.

try { 
    var result = api_instance.getFollowingGet(follower, startFollowing, followType, limit);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getFollowingGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **follower** | **String**| account name. | [default to good-karma]
 **startFollowing** | **String**| account name from followings for pagination. | [default to fabien]
 **followType** | **String**| follow type blog, etc. | [default to blog]
 **limit** | **num**| size of array for pagination. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getRecoveryRequestGet**
> List<_> getRecoveryRequestGet(account)

get_recovery_request

get_recovery_request 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.

try { 
    var result = api_instance.getRecoveryRequestGet(account);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getRecoveryRequestGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getSavingsWithdrawFromGet**
> List<_> getSavingsWithdrawFromGet(account)

get_savings_withdraw_from

get_savings_withdraw_from 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.

try { 
    var result = api_instance.getSavingsWithdrawFromGet(account);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getSavingsWithdrawFromGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to jesta]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getSavingsWithdrawToGet**
> List<_> getSavingsWithdrawToGet(account)

get_savings_withdraw_to

get_savings_withdraw_to 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.

try { 
    var result = api_instance.getSavingsWithdrawToGet(account);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getSavingsWithdrawToGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to jesta]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getStateGet**
> List<_> getStateGet(path)

get_state

get_state 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var path = path_example; // String | account name.

try { 
    var result = api_instance.getStateGet(path);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getStateGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **path** | **String**| account name. | [default to /@good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWithdrawRoutesGet**
> List<_> getWithdrawRoutesGet(account, withdrawRouteType)

get_withdraw_routes

get_withdraw_routes 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var account = account_example; // String | account name.
var withdrawRouteType = withdrawRouteType_example; // String | withdrawRouteType.

try { 
    var result = api_instance.getWithdrawRoutesGet(account, withdrawRouteType);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->getWithdrawRoutesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to clayop]
 **withdrawRouteType** | **String**| withdrawRouteType. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **lookupAccountNamesGet**
> List<_> lookupAccountNamesGet(accountNames)

lookup_account_names

lookup_account_names example of accountNames [\"good-karma\", \"fabien\"] 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var accountNames = accountNames_example; // String | accountNames [\"good-karma\", \"fabien\"].

try { 
    var result = api_instance.lookupAccountNamesGet(accountNames);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->lookupAccountNamesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountNames** | **String**| accountNames [\&quot;good-karma\&quot;, \&quot;fabien\&quot;]. | [default to [&quot;good-karma&quot;,&quot;fabien&quot;]]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **lookupAccountsGet**
> List<_> lookupAccountsGet(lowerBoundName, limit)

lookup_accounts

lookup_accounts regex search 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new AccountApi();
var lowerBoundName = lowerBoundName_example; // String | lowerBoundName.
var limit = 3.4; // num | limit.

try { 
    var result = api_instance.lookupAccountsGet(lowerBoundName, limit);
    print(result);
} catch (e) {
    print("Exception when calling AccountApi->lookupAccountsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lowerBoundName** | **String**| lowerBoundName. | [default to good-kar]
 **limit** | **num**| limit. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

