# swagger.api.ChainApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getAccountCountGet**](ChainApi.md#getAccountCountGet) | **GET** /get_account_count | number of accounts
[**getChainPropertiesGet**](ChainApi.md#getChainPropertiesGet) | **GET** /get_chain_properties | get chain properties
[**getConfigGet**](ChainApi.md#getConfigGet) | **GET** /get_config | get config
[**getCurrentMedianHistoryPriceGet**](ChainApi.md#getCurrentMedianHistoryPriceGet) | **GET** /get_current_median_history_price | get_current_median_history_price
[**getDynamicGlobalPropertiesGet**](ChainApi.md#getDynamicGlobalPropertiesGet) | **GET** /get_dynamic_global_properties | get_dynamic_global_properties
[**getFeedHistoryGet**](ChainApi.md#getFeedHistoryGet) | **GET** /get_feed_history | get_feed_history
[**getHardforkVersionGet**](ChainApi.md#getHardforkVersionGet) | **GET** /get_hardfork_version | get_hardfork_version
[**getNextScheduledHardforkGet**](ChainApi.md#getNextScheduledHardforkGet) | **GET** /get_next_scheduled_hardfork | get_next_scheduled_hardfork
[**getVersionGet**](ChainApi.md#getVersionGet) | **GET** /get_version | get version of Steem


# **getAccountCountGet**
> int getAccountCountGet()

number of accounts

Get Number of Accounts from Steem 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getAccountCountGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getAccountCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

**int**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getChainPropertiesGet**
> List<_> getChainPropertiesGet()

get chain properties

get chain properties 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getChainPropertiesGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getChainPropertiesGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getConfigGet**
> List<_> getConfigGet()

get config

get config 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getConfigGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getConfigGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getCurrentMedianHistoryPriceGet**
> List<_> getCurrentMedianHistoryPriceGet()

get_current_median_history_price

get_current_median_history_price 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getCurrentMedianHistoryPriceGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getCurrentMedianHistoryPriceGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getDynamicGlobalPropertiesGet**
> List<_> getDynamicGlobalPropertiesGet()

get_dynamic_global_properties

get_dynamic_global_properties 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getDynamicGlobalPropertiesGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getDynamicGlobalPropertiesGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getFeedHistoryGet**
> List<_> getFeedHistoryGet()

get_feed_history

get_feed_history 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getFeedHistoryGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getFeedHistoryGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getHardforkVersionGet**
> List<_> getHardforkVersionGet()

get_hardfork_version

get_hardfork_version 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getHardforkVersionGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getHardforkVersionGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getNextScheduledHardforkGet**
> List<_> getNextScheduledHardforkGet()

get_next_scheduled_hardfork

get_next_scheduled_hardfork 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getNextScheduledHardforkGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getNextScheduledHardforkGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getVersionGet**
> GetVersion getVersionGet()

get version of Steem

Returns version information of connected Steem node/websocket. 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new ChainApi();

try { 
    var result = api_instance.getVersionGet();
    print(result);
} catch (e) {
    print("Exception when calling ChainApi->getVersionGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**GetVersion**](GetVersion.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

