# swagger.api.MarketApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getLiquidityQueueGet**](MarketApi.md#getLiquidityQueueGet) | **GET** /get_liquidity_queue | get_liquidity_queue
[**getOpenOrdersGet**](MarketApi.md#getOpenOrdersGet) | **GET** /get_open_orders | get_open_orders
[**getOrderBookGet**](MarketApi.md#getOrderBookGet) | **GET** /get_order_book | get_order_book
[**getOwnerHistoryGet**](MarketApi.md#getOwnerHistoryGet) | **GET** /get_owner_history | get_owner_history


# **getLiquidityQueueGet**
> List<_> getLiquidityQueueGet(startAccount, limit)

get_liquidity_queue

get_liquidity_queue 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new MarketApi();
var startAccount = startAccount_example; // String | account name.
var limit = 56; // int | limit.

try { 
    var result = api_instance.getLiquidityQueueGet(startAccount, limit);
    print(result);
} catch (e) {
    print("Exception when calling MarketApi->getLiquidityQueueGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **startAccount** | **String**| account name. | [default to good-karma]
 **limit** | **int**| limit. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getOpenOrdersGet**
> List<_> getOpenOrdersGet(owner)

get_open_orders

get_open_orders 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new MarketApi();
var owner = owner_example; // String | account name.

try { 
    var result = api_instance.getOpenOrdersGet(owner);
    print(result);
} catch (e) {
    print("Exception when calling MarketApi->getOpenOrdersGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **owner** | **String**| account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getOrderBookGet**
> List<_> getOrderBookGet(limit)

get_order_book

get_order_book 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new MarketApi();
var limit = 56; // int | limit.

try { 
    var result = api_instance.getOrderBookGet(limit);
    print(result);
} catch (e) {
    print("Exception when calling MarketApi->getOrderBookGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **limit** | **int**| limit. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getOwnerHistoryGet**
> List<_> getOwnerHistoryGet(account)

get_owner_history

get_owner_history 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new MarketApi();
var account = account_example; // String | account name.

try { 
    var result = api_instance.getOwnerHistoryGet(account);
    print(result);
} catch (e) {
    print("Exception when calling MarketApi->getOwnerHistoryGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **account** | **String**| account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

