# swagger.api.NetworkApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**broadcastBlockGet**](NetworkApi.md#broadcastBlockGet) | **GET** /broadcast_block | broadcast_block
[**broadcastTransactionGet**](NetworkApi.md#broadcastTransactionGet) | **GET** /broadcast_transaction | broadcast_transaction
[**broadcastTransactionSynchronousGet**](NetworkApi.md#broadcastTransactionSynchronousGet) | **GET** /broadcast_transaction_synchronous | broadcast_transaction_synchronous
[**broadcastTransactionWithCallbackGet**](NetworkApi.md#broadcastTransactionWithCallbackGet) | **GET** /broadcast_transaction_with_callback | WARNING: can only be used in Steem node or in scripts broadcast_transaction_with_callback 
[**cancelAllSubscriptionsGet**](NetworkApi.md#cancelAllSubscriptionsGet) | **GET** /cancel_all_subscriptions | WARNING: can only be used in Steem node or in scripts cancel_all_subscriptions 
[**getApiByNameGet**](NetworkApi.md#getApiByNameGet) | **GET** /get_api_by_name | get_api_by_name
[**getBlockGet**](NetworkApi.md#getBlockGet) | **GET** /get_block | get block
[**getBlockHeaderGet**](NetworkApi.md#getBlockHeaderGet) | **GET** /get_block_header | get block header
[**getKeyReferencesGet**](NetworkApi.md#getKeyReferencesGet) | **GET** /get_key_references | get_key_references
[**getOpsInBlockGet**](NetworkApi.md#getOpsInBlockGet) | **GET** /get_ops_in_block | get_ops_in_block
[**getPotentialSignaturesGet**](NetworkApi.md#getPotentialSignaturesGet) | **GET** /get_potential_signatures | get_potential_signatures
[**getRequiredSignaturesGet**](NetworkApi.md#getRequiredSignaturesGet) | **GET** /get_required_signatures | get_required_signatures
[**getTransactionGet**](NetworkApi.md#getTransactionGet) | **GET** /get_transaction | get_transaction
[**getTransactionHexGet**](NetworkApi.md#getTransactionHexGet) | **GET** /get_transaction_hex | get_transaction_hex
[**setBlockAppliedCallbackGet**](NetworkApi.md#setBlockAppliedCallbackGet) | **GET** /set_block_applied_callback | WARNING: can only be used in Steem node or in scripts set_block_applied_callback 
[**setMaxBlockAgeGet**](NetworkApi.md#setMaxBlockAgeGet) | **GET** /set_max_block_age | WARNING: can only be used in Steem node or in scripts set_max_block_age 
[**setPendingTransactionCallbackGet**](NetworkApi.md#setPendingTransactionCallbackGet) | **GET** /set_pending_transaction_callback | WARNING: can only be used in Steem node or in scripts set_pending_transaction_callback 
[**setSubscribeCallbackGet**](NetworkApi.md#setSubscribeCallbackGet) | **GET** /set_subscribe_callback | WARNING: can only be used in Steem node or in scripts set_subscribe_callback 
[**verifyAccountAuthorityGet**](NetworkApi.md#verifyAccountAuthorityGet) | **GET** /verify_account_authority | verify_account_authority
[**verifyAuthorityGet**](NetworkApi.md#verifyAuthorityGet) | **GET** /verify_authority | verify_authority


# **broadcastBlockGet**
> List<_> broadcastBlockGet(b)

broadcast_block

broadcast_block 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var b = b_example; // String | block.

try { 
    var result = api_instance.broadcastBlockGet(b);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->broadcastBlockGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **b** | **String**| block. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **broadcastTransactionGet**
> List<_> broadcastTransactionGet(trx)

broadcast_transaction

broadcast_transaction 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction.

try { 
    var result = api_instance.broadcastTransactionGet(trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->broadcastTransactionGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **broadcastTransactionSynchronousGet**
> List<_> broadcastTransactionSynchronousGet(trx)

broadcast_transaction_synchronous

broadcast_transaction_synchronous 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction.

try { 
    var result = api_instance.broadcastTransactionSynchronousGet(trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->broadcastTransactionSynchronousGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **broadcastTransactionWithCallbackGet**
> List<_> broadcastTransactionWithCallbackGet(confirmationCallback, trx)

WARNING: can only be used in Steem node or in scripts broadcast_transaction_with_callback 

broadcast_transaction_with_callback 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var confirmationCallback = confirmationCallback_example; // String | confirmationCallback function.
var trx = trx_example; // String | transaction.

try { 
    var result = api_instance.broadcastTransactionWithCallbackGet(confirmationCallback, trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->broadcastTransactionWithCallbackGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **confirmationCallback** | **String**| confirmationCallback function. | [optional] 
 **trx** | **String**| transaction. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **cancelAllSubscriptionsGet**
> List<_> cancelAllSubscriptionsGet()

WARNING: can only be used in Steem node or in scripts cancel_all_subscriptions 

cancel_all_subscriptions  

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();

try { 
    var result = api_instance.cancelAllSubscriptionsGet();
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->cancelAllSubscriptionsGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getApiByNameGet**
> List<_> getApiByNameGet(apiName)

get_api_by_name

get_api_by_name 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var apiName = apiName_example; // String | apiName.

try { 
    var result = api_instance.getApiByNameGet(apiName);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getApiByNameGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **apiName** | **String**| apiName. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getBlockGet**
> List<_> getBlockGet(blockNum)

get block

get block 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var blockNum = 56; // int | get block content/transactions.

try { 
    var result = api_instance.getBlockGet(blockNum);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getBlockGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **blockNum** | **int**| get block content/transactions. | [default to 7595656]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getBlockHeaderGet**
> List<_> getBlockHeaderGet(blockNum)

get block header

get block header 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var blockNum = 56; // int | get block header, witness, timestamp.

try { 
    var result = api_instance.getBlockHeaderGet(blockNum);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getBlockHeaderGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **blockNum** | **int**| get block header, witness, timestamp. | [default to 7595656]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getKeyReferencesGet**
> List<_> getKeyReferencesGet(key)

get_key_references

get_key_references 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var key = key_example; // String | key.

try { 
    var result = api_instance.getKeyReferencesGet(key);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getKeyReferencesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **key** | **String**| key. | [default to ]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getOpsInBlockGet**
> List<_> getOpsInBlockGet(blockNum, onlyVirtual)

get_ops_in_block

get_ops_in_block 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var blockNum = 56; // int | block number.
var onlyVirtual = true; // bool | onlyVirtual.

try { 
    var result = api_instance.getOpsInBlockGet(blockNum, onlyVirtual);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getOpsInBlockGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **blockNum** | **int**| block number. | [default to 8836129]
 **onlyVirtual** | **bool**| onlyVirtual. | [default to false]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getPotentialSignaturesGet**
> List<_> getPotentialSignaturesGet(trx)

get_potential_signatures

get_potential_signatures 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction.

try { 
    var result = api_instance.getPotentialSignaturesGet(trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getPotentialSignaturesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getRequiredSignaturesGet**
> List<_> getRequiredSignaturesGet(trx, availableKeys)

get_required_signatures

get_required_signatures 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction.
var availableKeys = availableKeys_example; // String | availableKeys.

try { 
    var result = api_instance.getRequiredSignaturesGet(trx, availableKeys);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getRequiredSignaturesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction. | 
 **availableKeys** | **String**| availableKeys. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getTransactionGet**
> List<_> getTransactionGet(trxId)

get_transaction

get_transaction 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trxId = trxId_example; // String | transaction id.

try { 
    var result = api_instance.getTransactionGet(trxId);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getTransactionGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trxId** | **String**| transaction id. | [default to b86745936b1e471c0efb78d0f80bd331f984d11f]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getTransactionHexGet**
> List<_> getTransactionHexGet(trx)

get_transaction_hex

get_transaction_hex 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction hex.

try { 
    var result = api_instance.getTransactionHexGet(trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->getTransactionHexGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction hex. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **setBlockAppliedCallbackGet**
> List<_> setBlockAppliedCallbackGet(cb)

WARNING: can only be used in Steem node or in scripts set_block_applied_callback 

set_block_applied_callback  

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var cb = cb_example; // String | callback function.

try { 
    var result = api_instance.setBlockAppliedCallbackGet(cb);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->setBlockAppliedCallbackGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **cb** | **String**| callback function. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **setMaxBlockAgeGet**
> List<_> setMaxBlockAgeGet(maxBlockAge)

WARNING: can only be used in Steem node or in scripts set_max_block_age 

set_max_block_age 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var maxBlockAge = 56; // int | maxBlockAge.

try { 
    var result = api_instance.setMaxBlockAgeGet(maxBlockAge);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->setMaxBlockAgeGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **maxBlockAge** | **int**| maxBlockAge. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **setPendingTransactionCallbackGet**
> List<_> setPendingTransactionCallbackGet(cb)

WARNING: can only be used in Steem node or in scripts set_pending_transaction_callback 

set_pending_transaction_callback  

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var cb = cb_example; // String | callback function.

try { 
    var result = api_instance.setPendingTransactionCallbackGet(cb);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->setPendingTransactionCallbackGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **cb** | **String**| callback function. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **setSubscribeCallbackGet**
> List<_> setSubscribeCallbackGet(callback, clearFilter)

WARNING: can only be used in Steem node or in scripts set_subscribe_callback 

set_subscribe_callback  

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var callback = callback_example; // String | callback function.
var clearFilter = clearFilter_example; // String | clearFilter.

try { 
    var result = api_instance.setSubscribeCallbackGet(callback, clearFilter);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->setSubscribeCallbackGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **callback** | **String**| callback function. | [optional] 
 **clearFilter** | **String**| clearFilter. | [optional] 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **verifyAccountAuthorityGet**
> List<_> verifyAccountAuthorityGet(nameOrId, signers)

verify_account_authority

verify_account_authority 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var nameOrId = nameOrId_example; // String | nameOrId.
var signers = signers_example; // String | signers.

try { 
    var result = api_instance.verifyAccountAuthorityGet(nameOrId, signers);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->verifyAccountAuthorityGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **nameOrId** | **String**| nameOrId. | 
 **signers** | **String**| signers. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **verifyAuthorityGet**
> List<_> verifyAuthorityGet(trx)

verify_authority

verify_authority 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new NetworkApi();
var trx = trx_example; // String | transaction.

try { 
    var result = api_instance.verifyAuthorityGet(trx);
    print(result);
} catch (e) {
    print("Exception when calling NetworkApi->verifyAuthorityGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **trx** | **String**| transaction. | 

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

