# swagger.api.TagsApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getActiveCategoriesGet**](TagsApi.md#getActiveCategoriesGet) | **GET** /get_active_categories | get active categories
[**getBestCategoriesGet**](TagsApi.md#getBestCategoriesGet) | **GET** /get_best_categories | get best categories
[**getRecentCategoriesGet**](TagsApi.md#getRecentCategoriesGet) | **GET** /get_recent_categories | get recent categories
[**getTrendingCategoriesGet**](TagsApi.md#getTrendingCategoriesGet) | **GET** /get_trending_categories | get trending categories
[**getTrendingTagsGet**](TagsApi.md#getTrendingTagsGet) | **GET** /get_trending_tags | get trending categories


# **getActiveCategoriesGet**
> List<_> getActiveCategoriesGet(after, limit)

get active categories

get tags 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new TagsApi();
var after = after_example; // String | after string.
var limit = 56; // int | limit size.

try { 
    var result = api_instance.getActiveCategoriesGet(after, limit);
    print(result);
} catch (e) {
    print("Exception when calling TagsApi->getActiveCategoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **after** | **String**| after string. | [optional] [default to steem]
 **limit** | **int**| limit size. | [optional] [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getBestCategoriesGet**
> List<_> getBestCategoriesGet(after, limit)

get best categories

get tags 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new TagsApi();
var after = after_example; // String | after.
var limit = 3.4; // num | limits.

try { 
    var result = api_instance.getBestCategoriesGet(after, limit);
    print(result);
} catch (e) {
    print("Exception when calling TagsApi->getBestCategoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **after** | **String**| after. | [optional] [default to steem]
 **limit** | **num**| limits. | [optional] [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getRecentCategoriesGet**
> List<_> getRecentCategoriesGet(after, limit)

get recent categories

get tags 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new TagsApi();
var after = after_example; // String | after.
var limit = 56; // int | limit.

try { 
    var result = api_instance.getRecentCategoriesGet(after, limit);
    print(result);
} catch (e) {
    print("Exception when calling TagsApi->getRecentCategoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **after** | **String**| after. | [optional] [default to steem]
 **limit** | **int**| limit. | [optional] [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getTrendingCategoriesGet**
> List<_> getTrendingCategoriesGet(after, limit)

get trending categories

get tags 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new TagsApi();
var after = after_example; // String | after.
var limit = 3.4; // num | limits.

try { 
    var result = api_instance.getTrendingCategoriesGet(after, limit);
    print(result);
} catch (e) {
    print("Exception when calling TagsApi->getTrendingCategoriesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **after** | **String**| after. | [optional] [default to steem]
 **limit** | **num**| limits. | [optional] [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getTrendingTagsGet**
> List<_> getTrendingTagsGet(afterTag, limit)

get trending categories

get tags 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new TagsApi();
var afterTag = afterTag_example; // String | category.
var limit = 3.4; // num | limits.

try { 
    var result = api_instance.getTrendingTagsGet(afterTag, limit);
    print(result);
} catch (e) {
    print("Exception when calling TagsApi->getTrendingTagsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **afterTag** | **String**| category. | [optional] [default to steem]
 **limit** | **num**| limits. | [optional] [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

