# swagger.api.WitnessApi

## Load the API package
```dart
import 'package:swagger/api.dart';
```

All URIs are relative to *https://api.steemjs.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**getActiveWitnessesGet**](WitnessApi.md#getActiveWitnessesGet) | **GET** /get_active_witnesses | get_active_witnesses
[**getMinerQueueGet**](WitnessApi.md#getMinerQueueGet) | **GET** /get_miner_queue | get_miner_queue
[**getWitnessByAccountGet**](WitnessApi.md#getWitnessByAccountGet) | **GET** /get_witness_by_account | get_witness_by_account
[**getWitnessCountGet**](WitnessApi.md#getWitnessCountGet) | **GET** /get_witness_count | get_witness_count
[**getWitnessScheduleGet**](WitnessApi.md#getWitnessScheduleGet) | **GET** /get_witness_schedule | get_witness_schedule
[**getWitnessesByVoteGet**](WitnessApi.md#getWitnessesByVoteGet) | **GET** /get_witnesses_by_vote | get_witnesses_by_vote
[**getWitnessesGet**](WitnessApi.md#getWitnessesGet) | **GET** /get_witnesses | get_witnesses
[**lookupWitnessAccountsGet**](WitnessApi.md#lookupWitnessAccountsGet) | **GET** /lookup_witness_accounts | lookup_witness_accounts


# **getActiveWitnessesGet**
> List<_> getActiveWitnessesGet()

get_active_witnesses

get_active_witnesses 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();

try { 
    var result = api_instance.getActiveWitnessesGet();
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getActiveWitnessesGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getMinerQueueGet**
> List<_> getMinerQueueGet()

get_miner_queue

get_miner_queue 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();

try { 
    var result = api_instance.getMinerQueueGet();
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getMinerQueueGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWitnessByAccountGet**
> List<_> getWitnessByAccountGet(accountName)

get_witness_by_account

get_witness_by_account 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();
var accountName = accountName_example; // String | witness account name.

try { 
    var result = api_instance.getWitnessByAccountGet(accountName);
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getWitnessByAccountGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **accountName** | **String**| witness account name. | [default to good-karma]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWitnessCountGet**
> List<_> getWitnessCountGet()

get_witness_count

get_witness_count 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();

try { 
    var result = api_instance.getWitnessCountGet();
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getWitnessCountGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWitnessScheduleGet**
> List<_> getWitnessScheduleGet()

get_witness_schedule

get_witness_schedule 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();

try { 
    var result = api_instance.getWitnessScheduleGet();
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getWitnessScheduleGet: $e\n");
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWitnessesByVoteGet**
> List<_> getWitnessesByVoteGet(from, limit)

get_witnesses_by_vote

get_witnesses_by_vote 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();
var from = from_example; // String | from witness.
var limit = 56; // int | limit.

try { 
    var result = api_instance.getWitnessesByVoteGet(from, limit);
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getWitnessesByVoteGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **from** | **String**| from witness. | [default to good-karma]
 **limit** | **int**| limit. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **getWitnessesGet**
> List<_> getWitnessesGet(witnessIds)

get_witnesses

get_witnesses 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();
var witnessIds = witnessIds_example; // String | witnessIds.

try { 
    var result = api_instance.getWitnessesGet(witnessIds);
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->getWitnessesGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **witnessIds** | **String**| witnessIds. | [default to [&quot;231&quot;,&quot;12286&quot;]]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **lookupWitnessAccountsGet**
> List<_> lookupWitnessAccountsGet(lowerBoundName, limit)

lookup_witness_accounts

lookup_witness_accounts regex search 

### Example 
```dart
import 'package:swagger/api.dart';

var api_instance = new WitnessApi();
var lowerBoundName = lowerBoundName_example; // String | lowerBoundName.
var limit = 3.4; // num | limit.

try { 
    var result = api_instance.lookupWitnessAccountsGet(lowerBoundName, limit);
    print(result);
} catch (e) {
    print("Exception when calling WitnessApi->lookupWitnessAccountsGet: $e\n");
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **lowerBoundName** | **String**| lowerBoundName. | [default to good-kar]
 **limit** | **num**| limit. | [default to 10]

### Return type

[**List<_>**](_.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

